javax.vecmath

## Class Point4f

- java.lang.Object
- - javax.vecmath.Tuple4f
  - - javax.vecmath.Point4f

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Point4f
    extends Tuple4f
    implements java.io.Serializable

A 4 element point represented by single precision floating point x,y,z,w coordinates.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.vecmath.Tuple4f

`w, x, y, z`

### Constructor Summary

Constructors
Constructor and Description
`Point4f()` Constructs and initializes a Point4f to (0,0,0,0).
`Point4f(float[] p)` Constructs and initializes a Point4f from the array of length 4.
`Point4f(float x, float y, float z, float w)` Constructs and initializes a Point4f from the specified xyzw coordinates.
`Point4f(Point4d p1)` Constructs and initializes a Point4f from the specified Point4d.
`Point4f(Point4f p1)` Constructs and initializes a Point4f from the specified Point4f.
`Point4f(Tuple3f t1)` Constructs and initializes a Point4f from the specified Tuple3f.
`Point4f(Tuple4d t1)` Constructs and initializes a Point4f from the specified Tuple4d.
`Point4f(Tuple4f t1)` Constructs and initializes a Point4f from the specified Tuple4f.

### Method Summary

Methods
`float` `distance(Point4f p1)` Computes the distance between this point and point p1.
`float` `distanceL1(Point4f p1)` Computes the L-1 (Manhattan) distance between this point and point p1.
`float` `distanceLinf(Point4f p1)` Computes the L-infinite distance between this point and point p1.
`float` `distanceSquared(Point4f p1)` Computes the square of the distance between this point and point p1.
`void` `project(Point4f p1)` Multiplies each of the x,y,z components of the Point4f parameter by 1/w, places the projected values into this point, and places a 1 as the w parameter of this point.
`void` `set(Tuple3f t1)` Sets the x,y,z components of this point to the corresponding components of tuple t1.

### Methods inherited from class javax.vecmath.Tuple4f

`absolute, absolute, add, add, clamp, clamp, clampMax, clampMax, clampMin, clampMin, clone, epsilonEquals, equals, equals, get, get, getW, getX, getY, getZ, hashCode, interpolate, interpolate, negate, negate, scale, scale, scaleAdd, scaleAdd, set, set, set, set, setW, setX, setY, setZ, sub, sub, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Point4f

    public Point4f(float x,
           float y,
           float z,
           float w)

Constructs and initializes a Point4f from the specified xyzw coordinates.

Parameters:
  `x` - the x coordinate
  `y` - the y coordinate
  `z` - the z coordinate
  `w` - the w coordinate

#### Point4f

    public Point4f(float[] p)

Constructs and initializes a Point4f from the array of length 4.

Parameters:
  `p` - the array of length 4 containing xyzw in order

#### Point4f

    public Point4f(Point4f p1)

Constructs and initializes a Point4f from the specified Point4f.

Parameters:
  `p1` - the Point4f containing the initialization x y z w data

#### Point4f

    public Point4f(Point4d p1)

Constructs and initializes a Point4f from the specified Point4d.

Parameters:
  `p1` - the Point4d containing the initialization x y z w data

#### Point4f

    public Point4f(Tuple4f t1)

Constructs and initializes a Point4f from the specified Tuple4f.

Parameters:
  `t1` - the Tuple4f containing the initialization x y z w data

#### Point4f

    public Point4f(Tuple4d t1)

Constructs and initializes a Point4f from the specified Tuple4d.

Parameters:
  `t1` - the Tuple4d containing the initialization x y z w data

#### Point4f

    public Point4f(Tuple3f t1)

Constructs and initializes a Point4f from the specified Tuple3f. The x,y,z components of this point are set to the corresponding components of tuple t1. The w component of this point is set to 1.

Parameters:
  `t1` - the tuple to be copied
Since:
  vecmath 1.2

#### Point4f

    public Point4f()

Constructs and initializes a Point4f to (0,0,0,0).

### Method Detail

#### set

    public final void set(Tuple3f t1)

Sets the x,y,z components of this point to the corresponding components of tuple t1. The w component of this point is set to 1.

Parameters:
  `t1` - the tuple to be copied
Since:
  vecmath 1.2

#### distanceSquared

    public final float distanceSquared(Point4f p1)

Computes the square of the distance between this point and point p1.

Parameters:
  `p1` - the other point
Returns:
  the square of distance between these two points as a float

#### distance

    public final float distance(Point4f p1)

Computes the distance between this point and point p1.

Parameters:
  `p1` - the other point
Returns:
  the distance between the two points

#### distanceL1

    public final float distanceL1(Point4f p1)

Computes the L-1 (Manhattan) distance between this point and point p1. The L-1 distance is equal to: abs(x1-x2) + abs(y1-y2) + abs(z1-z2) + abs(w1-w2).

Parameters:
  `p1` - the other point
Returns:
  the L-1 distance

#### distanceLinf

    public final float distanceLinf(Point4f p1)

Computes the L-infinite distance between this point and point p1. The L-infinite distance is equal to MAX[abs(x1-x2), abs(y1-y2), abs(z1-z2), abs(w1-w2)].

Parameters:
  `p1` - the other point
Returns:
  the L-infinite distance

#### project

    public final void project(Point4f p1)

Multiplies each of the x,y,z components of the Point4f parameter by 1/w, places the projected values into this point, and places a 1 as the w parameter of this point.

Parameters:
  `p1` - the source Point4f, which is not modified